Debian Bug report logs - #481681
buildd.emdebian.org: need to reinstate XC-Package-Type: tdeb once support is available.

Package: buildd.emdebian.org; Maintainer for buildd.emdebian.org is Debian Embedded Team <debian-embedded@lists.debian.org>;

Reported by: Neil Williams <codehelp@debian.org>

Date: Sat, 17 May 2008 21:51:25 UTC

Severity: minor

Tags: l10n

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report stored:
Bug#481681; Package general. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and filed, but not forwarded. Full text and rfc822 format available.

Message #5 received at quiet@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <quiet@bugs.debian.org>
Subject: buildd.emdebian.org: need to reinstate XC-Package-Type: tdeb once support is available.
Date: Sat, 17 May 2008 22:35:46 +0100
[Message part 1 (text/plain, inline)]
Package: general
Severity: minor
Tags: l10n
User: codehelp@debian.org
Usertags: buildd.emdebian.org

Emdebian and Debian TDebs cannot currently use XC-Package-Type: tdeb in
debian/control due to various issues in other packages (e.g. dpkg).

This bug will be used to track blocking bugs in other packages until
TDeb types can be reintroduced.

When using XC-Package-Type: tdeb, debian/files contains references to:
foo_arm.tdeb misc extra

but the file is ../foo_arm.deb

as created by dpkg-deb --build:

 dpkg-deb: building package `foo' in `../foo_arm.deb'.

If XC-Package-Type: tdeb is removed from the generated
debian/control, it all works but there seems to be a mismatch between
what dpkg-deb builds and dpkg-source expects when XC-Package-Type: tdeb
is set.

If dpkg-dep --build is fixed to use foo_arm.tdeb, this would break
uploads via reprepro etc so XC-Package-Type: tdeb is currently disabled
until all the issues are identified and all relevant bugs filed and
closed.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `general' to `buildd.emdebian.org'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Wed, 03 Sep 2008 06:30:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Team <debian-embedded@lists.debian.org>:
Bug#481681; Package buildd.emdebian.org. (Tue, 07 Oct 2008 13:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Team <debian-embedded@lists.debian.org>. (Tue, 07 Oct 2008 13:54:04 GMT) Full text and rfc822 format available.

Message #12 received at 481681@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 481681@bugs.debian.org
Subject: more info
Date: Tue, 7 Oct 2008 14:47:43 +0100
[Message part 1 (text/plain, inline)]
Looks like the problem with .tdeb could have a workaround, indeed it
looks like the way that udebs are created, by specifying the full
package name to dpkg-deb.

em_installtdeb now has that support and .tdeb files can be created by
dpkg.


reprepro needs a patch to accept .tdeb and allow .tdeb in
the repository files:
 $ reprepro --ignore=extension -b /path/ includedeb \
 unstable ../qof-locale-sv_0.7.5-1em1_arm.tdeb
 $ ls /opt/reprepro/locale/pool/main/q/qof/
 qof-locale-sv_0.7.5-1em1_arm.deb

 Filename: pool/main/q/qof/qof-locale-sv_0.7.5-1em1_arm.deb
 Description: sv translation for qof (tdeb)

reprepro also needs a way to handle a .tdeb .changes file.
 reprepro -b /opt/reprepro/locale/ include
unstable ../qof_0.7.5-1em1_arm.changes
'qof-locale-id_0.7.5-1em1_arm.tdeb' is not .deb or .udeb! There have
been errors!

The problems with dpkg-source also appear to be fixed by having a
proper .tdeb available.

Leaving this bug open for now - may reassign to reprepro with details
of how to extend udeb support to tdebs, once Lenny is released.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:25:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.